## org.apache.poi.util
Class TempFile

    java.lang.Object
      org.apache.poi.util.TempFile

    public final class TempFile

extends java.lang.Object

Interface for creating temporary files. Collects them all into one directory.

Author:
  Glen Stampoultzis

Constructor Summary
`TempFile()`

Method Summary
`static java.io.File` `createTempFile(java.lang.String prefix, java.lang.String suffix)` Creates a temporary file.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TempFile

    public TempFile()

Method Detail

### createTempFile

    public static java.io.File createTempFile(java.lang.String prefix,
                                              java.lang.String suffix)

  Creates a temporary file. Files are collected into one directory and by default are deleted on exit from the VM. Files can be kept by defining the system property `poi.keep.tmp.files`.

  Don't forget to close all files or it might not be possible to delete them.

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.